Bug 29034 - Accessibility: OPAC nav-links don't have sufficient contrast ratio
Summary: Accessibility: OPAC nav-links don't have sufficient contrast ratio
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Henry Bolshaw
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks: 28188
  Show dependency treegraph
 
Reported: 2021-09-16 03:15 UTC by Henry Bolshaw
Modified: 2021-10-08 12:09 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29034: Accessibility: OPAC nav links don't have sufficient contrast ratio (1.33 KB, patch)
2021-09-16 08:44 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 29034: Accessibility: OPAC nav links don't have sufficient contrast ratio (1.38 KB, patch)
2021-09-16 10:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29034: Accessibility: OPAC nav links don't have sufficient contrast ratio (1.44 KB, patch)
2021-09-26 12:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Bolshaw 2021-09-16 03:15:27 UTC
The contrast ratio for the OPAC navigation links (Cart, Lists, Login, Search history, Delete your search history)fails to meet accessibility guidelines.

WCAG 2.1 1.4.3 Contrast (Minimum) Level AA:

"The visual presentation of text and images of text has a contrast ratio of at least 4.5:1, except for the following: 

- Large Text: Large-scale text and images of large-scale text have a contrast ratio of at least 3:1;

- Incidental: Text or images of text that are part of an inactive user interface component, that are pure decoration, that are not visible to anyone, or that are part of a picture that contains significant other visual content, have no contrast requirement.

- Logotypes: Text that is part of a logo or brand name has no contrast requirement."

(https://www.w3.org/WAI/WCAG21/quickref/?versions=2.0#contrast-minimum)

There are several free websites for checking the contrast ratio, e.g. https://webaim.org/resources/contrastchecker/ 

You can also use the built-in accessibility functions in Firefox and Chrome, as well as specialist accessibility browser extensions like WAVE (https://wave.webaim.org/)
Comment 1 Henry Bolshaw 2021-09-16 08:44:49 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-09-16 10:26:52 UTC
Created attachment 124919 [details] [review]
Bug 29034: Accessibility: OPAC nav links don't have sufficient contrast ratio

This patch changes the colour of the navigation
links on the OPAC (Cart, Lists etc.) to improve
the contrast ration and make them easier to read.

To test:
1. Use an accessibility tool (e.g. Chrome's
   Lighthouse tool) to check the contrast
   ratio on the OPAC
2. Confirm that the navigation links have
   insufficient contrast
3. Apply the patch and rebuild the OPAC css:
   yarn build --view opac
4. Use the accessibility tool to confirm
   the contrast ratio meets  the minimum
   accessibility requirements
5. Check that the OPAC looks ok after the
   changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-09-26 12:54:52 UTC
Created attachment 125327 [details] [review]
Bug 29034: Accessibility: OPAC nav links don't have sufficient contrast ratio

This patch changes the colour of the navigation
links on the OPAC (Cart, Lists etc.) to improve
the contrast ration and make them easier to read.

To test:
1. Use an accessibility tool (e.g. Chrome's
   Lighthouse tool) to check the contrast
   ratio on the OPAC
2. Confirm that the navigation links have
   insufficient contrast
3. Apply the patch and rebuild the OPAC css:
   yarn build --view opac
4. Use the accessibility tool to confirm
   the contrast ratio meets  the minimum
   accessibility requirements
5. Check that the OPAC looks ok after the
   changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-09-28 13:39:12 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-08 12:09:35 UTC
 Pushed to 21.05.x for 21.05.05